# Changes

Version 1.1.0 (2019-07-01)

We closed a total of 111 issues (enhancements and bug fixes) through 49 pull requests, since our last release on 2019-05-14.

## Issues Closed
  - update version in init (#89)
  - Renan final tweak release (#88)
  - include coverage option (#87)
  - mention center argument in centralization index in spatial notebook (#85)
  - release prep (#84)
  - improve readme with network examples (#56)
  - small tweak MultiDissim on readme (#83)
  - small tweak on SpatialDissim on readme (#82)
  - Change API (Deprecated classes) in favor of CamelLikeNames (#81)
  - BUG: add compute_seg_profile to spatial __all__ (#80)
  - Add local segregation measures (#77)
  - drop heavy deps (#78)
  - function to calculate segregation profiles (#19)
  - reimplement more flexible  SpatialInformationTheory index (#75)
  - add xtol to Ddc in readmme table (#76)
  - generate counterfactual distributions on comparative segregation using util `_generate_counterfactual` function (#52)
  - improve nomenclature of distance-decay isolation/exposure (#39)
  - release Renan's checklist (#73)
  - installation .rst tweaks (#71)
  - remove sphinx of requirements and point rtd to _docs requirements for organization (#70)
  - api docs not rendering fully (#58)
  - move numpy doc from mock to requirements (#69)
  - moving sphinxcontrib.bibtex from mock to requirements (#68)
  - create mocks for c dependency libraries (#67)
  - change the current API of network notebook (#57)
  - getting back with old conf, putting all depencies back to requirement… (#66)
  - remove recent dependencies included to see if rtd will be build (#65)
  - commenting sphinx_bootstrap_theme (trying to follow https://github.co… (#64)
  - add tests and docs in setup_package (#63)
  - add napoleon and gallery for rtd (#62)
  - fix typo value -> values (#61)
  - July release readthedocs tweaks (#59)
  - Notebooks updates (decomposition and networks) (#60)
  - add spatial information theory index (#2)
  - consider multi-group segregation indexes (#17)
  - adds Multigroup Divergence Index of Roberto (2018) (#55)
  - (bug) dual testing aganist pypi and github versions of libpysal (#54)
  - Tweaks for july release (#50)
  - update nbsit notebook (#51)
  - include bootstrap approach for single-value inference (and also for comparative) (#38)
  - Adds many Multigroup segregation measures (#49)
  - update network notebook (#48)
  - Remove sit and tweaks refactoring (#46)
  - [WIP] add network-based spatial information theory index (#47)
  - reorganize library into modules (#45)
  - fixed docstrings and decomposition notebook (LTDB links) (#37)
  - change denominator of spatial interaction term of Perimeter_Area_Ratio_Spatial_Dissim (and also add some tweak for concentration indexes) (#42)
  - add bootstrap (for unit levels) for single value segregation (#40)
  - add Absolute Clustering (ACL) segregation measure (#44)
  - add multigroup counterfactual approach (#9)
  - add "city share" counterfactual approach (#8)
  - add conda-forge option in intalling readme (#41)
  - OK: Create additional argument for the center in Centralization indexes (#25)
  - fix missing the year in the image title of Readme (#34)
  - updating README.md (#33)
  - add license file (#31)
  - Release 106 (#30)
  - plan for Release 106 (#29)
  - update changelog and run gitcount (#28)
  - tweaks for 1.0.5 release in setup.py (#27)
  - update readme with decompose framework for 1.0.5 release (#26)
  - create additional argument for the center in Centralization indexes (#23)

## Pull Requests
  - update version in init (#89)
  - Renan final tweak release (#88)
  - include coverage option (#87)
  - mention center argument in centralization index in spatial notebook (#85)
  - release prep (#84)
  - small tweak MultiDissim on readme (#83)
  - small tweak on SpatialDissim on readme (#82)
  - Change API (Deprecated classes) in favor of CamelLikeNames (#81)
  - BUG: add compute_seg_profile to spatial __all__ (#80)
  - Add local segregation measures (#77)
  - drop heavy deps (#78)
  - reimplement more flexible  SpatialInformationTheory index (#75)
  - add xtol to Ddc in readmme table (#76)
  - release Renan's checklist (#73)
  - installation .rst tweaks (#71)
  - remove sphinx of requirements and point rtd to _docs requirements for organization (#70)
  - move numpy doc from mock to requirements (#69)
  - moving sphinxcontrib.bibtex from mock to requirements (#68)
  - create mocks for c dependency libraries (#67)
  - getting back with old conf, putting all depencies back to requirement… (#66)
  - remove recent dependencies included to see if rtd will be build (#65)
  - commenting sphinx_bootstrap_theme (trying to follow https://github.co… (#64)
  - add tests and docs in setup_package (#63)
  - add napoleon and gallery for rtd (#62)
  - fix typo value -> values (#61)
  - July release readthedocs tweaks (#59)
  - Notebooks updates (decomposition and networks) (#60)
  - adds Multigroup Divergence Index of Roberto (2018) (#55)
  - (bug) dual testing aganist pypi and github versions of libpysal (#54)
  - Tweaks for july release (#50)
  - update nbsit notebook (#51)
  - Adds many Multigroup segregation measures (#49)
  - update network notebook (#48)
  - Remove sit and tweaks refactoring (#46)
  - [WIP] add network-based spatial information theory index (#47)
  - reorganize library into modules (#45)
  - fixed docstrings and decomposition notebook (LTDB links) (#37)
  - change denominator of spatial interaction term of Perimeter_Area_Ratio_Spatial_Dissim (and also add some tweak for concentration indexes) (#42)
  - add bootstrap (for unit levels) for single value segregation (#40)
  - add Absolute Clustering (ACL) segregation measure (#44)
  - add conda-forge option in intalling readme (#41)
  - OK: Create additional argument for the center in Centralization indexes (#25)
  - fix missing the year in the image title of Readme (#34)
  - updating README.md (#33)
  - add license file (#31)
  - Release 106 (#30)
  - update changelog and run gitcount (#28)
  - tweaks for 1.0.5 release in setup.py (#27)
  - update readme with decompose framework for 1.0.5 release (#26)

The following individuals contributed to this release:

  - Eli Knaap
  - Renan X Cortes
  - Wei Kang
  - James Gaboardi