# Changes

Version 1.1.1 (2019-07-19)

We closed a total of 56 issues (enhancements and bug fixes) through 22 pull requests, since our last release on 2019-07-01.

## Issues Closed
  - absolute concentration values not matching with other open-source options? (#43)
  - Concentration indexes rank fix (#118)
  - remove W from importings in spatial_indexes (#117)
  - consider surface based S (#102)
  - Adds SpatialMinMax index based on Sullivan and Wong (2007) (#116)
  - add robust and informative condition for large magnitude projections (tests only off-diagonal) (#113)
  - MinMaxS (#115)
  - spelling (#114)
  - consider tqdm instead of print statements for simulations (#99)
  - add DOI (#32)
  - Building Error (after tqdm inclusion?) (#110)
  - [WIP] add libcfitsio-dev in travis.yml (#112)
  - enh: add libcfitsio.so.5 in travis.yml following https://github.com/cypress-io/cypress/issues/4069#issuecomment-488816887 (#111)
  - inference wrapper tweaks (#109)
  - bug: add descartes in requirements_tests for plotting tests (#107)
  - enh: add plotting tests in the decomposition framework (#106)
  - add spatial divergence index (#103)
  - Generalize also for haversine distance (#100)
  - release checklist (#72)
  - Update README.md (#101)
  - fix the broken link to compute all in readthe docs (#98)
  - coveralls badge fix (#97)
  - remove erroneous reference to geodetaframe in multigroup section (#95)
  - add github tag to coveralls badge (#93)
  - update badge link for update following https://github.com/lemurheavy/coveralls-public/issues/971#issuecomment-338942441 (#94)
  - this adds tests for improving coverage (#92)
  - add DOI badge (#91)
  - changelog (#90)
  - update version in init (#89)
  - Renan final tweak release (#88)
  - include coverage option (#87)
  - mention center argument in centralization index in spatial notebook (#85)
  - release prep (#84)
  - improve readme with network examples (#56)

## Pull Requests
  - Concentration indexes rank fix (#118)
  - remove W from importings in spatial_indexes (#117)
  - Adds SpatialMinMax index based on Sullivan and Wong (2007) (#116)
  - add robust and informative condition for large magnitude projections (tests only off-diagonal) (#113)
  - inference wrapper tweaks (#109)
  - bug: add descartes in requirements_tests for plotting tests (#107)
  - enh: add plotting tests in the decomposition framework (#106)
  - add spatial divergence index (#103)
  - Generalize also for haversine distance (#100)
  - Update README.md (#101)
  - fix the broken link to compute all in readthe docs (#98)
  - coveralls badge fix (#97)
  - remove erroneous reference to geodetaframe in multigroup section (#95)
  - add github tag to coveralls badge (#93)
  - this adds tests for improving coverage (#92)
  - add DOI badge (#91)
  - changelog (#90)
  - update version in init (#89)
  - Renan final tweak release (#88)
  - include coverage option (#87)
  - mention center argument in centralization index in spatial notebook (#85)
  - release prep (#84)

The following individuals contributed to this release:

  - Eli Knaap
  - Renan X Cortes
  - Antti Hrknen